#MACHINE LEARNING
import torch
import torch.nn as nn
import torch.optim as optim
import torchvision

#GENERAL USE
import numpy as np
import pandas as pd
from datetime import datetime

#SYSTEM
import tomli as toml
import os

#DATA PROCESSING
from sklearn.model_selection import train_test_split

#CUSTOM MODULES
import utils.models.cnn as cnn

#CONFIGURATION
if os.getenv('ADL_CONFIG_PATH') is None:
    with open ('config.toml', 'rb') as f:
        config = toml.load(f)
else:
    with open(os.getenv('ADL_CONFIG_PATH'), 'rb') as f:
        config = toml.load(f)
        
        
#Set up the model
model = cnn.CNN(config)
criterion = nn.BCELoss()
optimizer = optim.Adam(model.parameters(), lr = config['training']['learning_rate'])

#Load datasets




